Module javafx.graphics
Package javafx.scene

## Class SceneAntialiasing

- java.lang.Object
- - javafx.scene.SceneAntialiasing

-     public final class SceneAntialiasing
      extends Object

  The JavaFX `SceneAntialiasing` class specifies the level of anti-aliasing desired. Scene anti-aliasing is primarily used when rendering 3D primitives, which are otherwise rendered aliased.

  `SceneAntialiasing` is unrelated to `Shape.setSmooth`. Unlike `Shape.setSmooth`, `SceneAntialiasing` affects the smoothness of the entire rendered scene whereas `Shape.setSmooth` is a rendering hint that applies to an individual 2D Shape.

  Note: In order for `SceneAntialiasing` to have an affect, the underlying system must support: `ConditionalFeature.SCENE3D` and anti-aliasing.

  Since:
    JavaFX 8.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static SceneAntialiasing` | `BALANCED` | Enables anti-aliasing optimizing for a balance of quality and performance
    `static SceneAntialiasing` | `DISABLED` | Disables anti-aliasing

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DISABLED

          public static final SceneAntialiasing DISABLED

      Disables anti-aliasing

    - #### BALANCED

          public static final SceneAntialiasing BALANCED

      Enables anti-aliasing optimizing for a balance of quality and performance

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`